Subject: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 29 Mar 2020 19:16:09 +0200

On Sun, Mar 29, 2020 at 05:04:11PM +0200, Ludovic Courtès wrote:
> How do other distros handle it?  Is there a hot key to switch back to a
> Latin layout?  If so, which one?

I test the Newt-based Debian 10 installer via QEMU.  When I select
English language with Arabic keymap, I can choose a key combination
for switching the layout, Alt+Shift by default.  But I cannot choose
between AZERTY and QWERTY, I always get QWERTY.

Searching the Web for the displayed string for choosing the layout
reveals it is part of console-setup and contained in

$(guix build -S console-setup)/debian/keyboard-configuration.templates

I find command suggestions like

ckbcomp -layout cs,cs -variant latin, -option grp:rwin_toggle,lv3:ralt_switch,grp_led:scroll

as given in <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=513269>.

Regards,
Florian